package com.foreverwin.mesnac.dataimport.dto;

import com.sap.me.production.ProductDefinitionGroupStatusEnum;
import com.sap.me.production.SlotInformation;

public class SlotGroupConfigurationItem extends SlotInformation {
    /**
     * 主键
     */

    private String site;

    private String ref;

    private String slotGroupId;

    private String description;

    private String revision;

    private boolean currentRevision;

    private ProductDefinitionGroupStatusEnum status;

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getRef() {
        return ref;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public String getSlotGroupId() {
        return slotGroupId;
    }

    public void setSlotGroupId(String slotGroupId) {
        this.slotGroupId = slotGroupId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRevision() {
        return revision;
    }

    public void setRevision(String revision) {
        this.revision = revision;
    }

    public boolean getCurrentRevision() {
        return currentRevision;
    }

    public void setCurrentRevision(boolean currentRevision) {
        this.currentRevision = currentRevision;
    }

    public ProductDefinitionGroupStatusEnum getStatus() {
        return status;
    }

    public void setStatus(ProductDefinitionGroupStatusEnum status) {
        this.status = status;
    }
}
